shishi_principal_name_realm(3)

NAME
shishi_principal_name_realm - API function

SYNOPSIS
#include <shishi.h>

int shishi_principal_name_realm(Shishi * handle, Shishi_asn1 namenode, const char * namefield, Shishi_asn1 realmnode, const char * realmfield, char ** out, size_t * outlen);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

Shishi_asn1 namenode
    ASN.1 structure with principal name in namefield.

const char * namefield
    name of field in namenode containing principal name.

Shishi_asn1 realmnode
    ASN.1 structure with principal realm in realmfield.

const char * realmfield
    name of field in realmnode containing principal realm.

char ** out
    pointer to newly allocated null terminated string containing principal name. May be NULL (to only populate outlen).

size_t * outlen
    pointer to length of out on output, excluding terminating null. May be NULL (to only populate out).

DESCRIPTION
Represent principal name and realm in ASN.1 structure as null-terminated string. The string is allocated by this function. It is the responsibility of the caller to deallocate it. Note that the output length outlen does not include the terminating null character.

RETURN VALUE
Returns SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.